Postfix: Adicionando disclaimer – Exceções de remetentes

No primeiro tutorial sobre disclaimer (muitas vezes também chamado de footer) com o Postfix, compartilhei um script básico que irá adicionar o texto automátio em todas as mensagens: https://respirandolinux.wordpress.com/2012/12/18/postfix-adicionando-disclaimer-todas-as-mensagens-enviadas/

Com o script abaixo, é possível definir exceções de remetentes que não terão o disclaimer inserido. Para configurar basta seguir os passos do primeiro artigo e substituir o script pelo arquivo abaixo, que também está publicado em https://github.com/fsschmidt/postfix/tree/master/Disclaimer:

#!/bin/sh
# Fabio S. Schmidt <fabio@improve.inf.br>
# 05/Jan/2013
# Contempla exceções de remetentes que não terão o disclaimer inserido
# Inserir os remetentes para exceção no arquivo definido pela variavel EXCESSOES_REMETENTES
# Localize these.
INSPECT_DIR=/var/spool/filter
SENDMAIL=/usr/sbin/sendmail
#REMETENTES QUE NAO DEVEM TER O DISCLAIMER INSERIDO
EXCECOES_REMETENTES=/etc/postfix/excecoes_remetente
# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69
# Clean up when done or when aborting.
trap “rm -f in.$$” 0 1 2 3 15
# Start processing.
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit
$EX_TEMPFAIL; }
cat >in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; }
#FAZ A PESQUISA DO REMETENTE PARA A EXCECAO
from_address=`grep -m 1 “From:” in.$$ | cut -d ” ” -f 2 | cut -d ” ” -f 1`
if [ `grep -wi ^${from_address}$ ${EXCECOES_REMETENTES}` ]; then
$SENDMAIL -oi “$@” <in.$$
exit $?
else
/usr/bin/altermime –input=in.$$ \
                   –disclaimer=/etc/postfix/disclaimer.txt \
                   –disclaimer-html=/etc/postfix/disclaimer.html \
                   –xheader=”X-Copyrighted-Material: Colocar o site da empresa aqui http://www.company.com/privacy.htm&#8221; || \
                     { echo Message content rejected; exit $EX_UNAVAILABLE; }
$SENDMAIL -oi “$@” <in.$$
exit $?
fi
Anúncios

Um comentário sobre “Postfix: Adicionando disclaimer – Exceções de remetentes

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s